This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263185 - Error: 'generic' is not a valid connection type even if previously listed as valid
Error: 'generic' is not a valid connection type even if previously listed as ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 05:40 EDT by Jan Pazdziora
Modified: 2015-09-22 18:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0.6-5.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:29:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-09-15 05:40:53 EDT
Description of problem:

Attempting to create connection with prompts, I've run nmcli --ask c add. The list of valid types included generic but it was later rejected.

Version-Release number of selected component (if applicable):

# rpm -qf /bin/nmcli
NetworkManager-1.0.2-1.fc22.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. # nmcli --ask c add
2. On prompt

   Valid types: [generic, 802-3-ethernet (ethernet), pppoe, 802-11-wireless (wifi), wimax, gsm, cdma, infiniband, adsl, bluetooth, vpn, 802-11-olpc-mesh (olpc-mesh), vlan, bond, team, bridge, bond-slave, team-slave, bridge-slave]
   Connection type:

enter

      generic

3. On prompt

   Interface name [*]: 

hit Enter.

Actual results:

Error: 'generic' is not a valid connection type.

Expected results:

Generic should be valid or not listed as valid.

Additional info:
Comment 1 Jirka Klimes 2015-09-15 09:02:31 EDT
It has been fixed in upstream master by http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=0ff9b75387b7ac2fd0235b23699990834426c467

But the commit was not in nm-1-0 branch (for NM 1.0.x). Merged now as
b46ed87 nmcli: allow adding 'generic' connections via nmcli connection add
Comment 2 Fedora Update System 2015-09-15 10:16:04 EDT
NetworkManager-1.0.6-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15904
Comment 3 Fedora Update System 2015-09-15 10:16:06 EDT
NetworkManager-1.0.6-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15905
Comment 4 Fedora Update System 2015-09-15 12:50:15 EDT
NetworkManager-1.0.6-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update NetworkManager'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15905
Comment 5 Fedora Update System 2015-09-15 18:56:16 EDT
NetworkManager-1.0.6-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update NetworkManager'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15904
Comment 6 Fedora Update System 2015-09-18 14:29:37 EDT
NetworkManager-1.0.6-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-09-22 18:53:44 EDT
NetworkManager-1.0.6-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.